<?php
session_start();
if ($_SESSION['_ERP_OK_SOFT']==5798799080 and $_SESSION['_ERP_OK_SOFT']>0){
	//OK
}else{
	echo "<script>window.location='../../../salir.php';</script>";
}
include("../../../inc_config/con_cc.php");
include("../../../inc_config/fun_cc.php");

$tb_cc = $_POST['tb_cc'];

if ($tb_cc==1 ){
	$id_vehiculo = $_POST['id'];
	$nombre      = $_POST['nombre'];
	$marca       = $_POST['marca'];
	$modelo      = $_POST['modelo'];
	$ano         = $_POST['ano'];
	$color       = $_POST['color'];
	$carga       = $_POST['carga'];
	$valor_dia   = $_POST['valor_dia'];
	$publicado   = $_POST['publicado'];

	$capacidad_motor 	= $_POST['capacidad_motor'];
	$capacidad_personas = $_POST['capacidad_personas'];
	$tipo_transmision 	= $_POST['tipo_transmision'];
	$tanque_combustible = $_POST['tanque_combustible'];
	$direccion 			= $_POST['direccion'];
	$velocidad_crucero 	= $_POST['velocidad_crucero'];
	$sistema_frenado 	= $_POST['sistema_frenado'];
	$alto_total			 = $_POST['alto_total'];
	$ancho				 = $_POST['ancho'];
	$largo 				= $_POST['largo'];
	$frenos_traseros 	= $_POST['frenos_traseros'];
	$frenos_delanteros 	= $_POST['frenos_delanteros'];
	$aire_acondicionado = $_POST['aire_acondicionado'];
	$climatizador 		= $_POST['climatizador'];
	$conector 			= $_POST['conector'];
	$sistema_audio		 = $_POST['sistema_audio'];
	$pantalla 			= $_POST['pantalla'];
	$reproductor 		= $_POST['reproductor'];
	$luz_delantera 		= $_POST['luz_delantera'];
	$bocinas 			= $_POST['bocinas'];
	$amortiguadores 	= $_POST['amortiguadores'];
	$neumaticos 		= $_POST['neumaticos'];
	$parachoque 		= $_POST['parachoque'];
	$volante 			= $_POST['volante'];
	$bolsa_aire 		= $_POST['bolsa_aire'];
	$cocina 			= $_POST['cocina'];
	$lavaplatos 		= $_POST['lavaplatos'];
	$cooler 			= $_POST['cooler'];
	$toldo_trasero 		= $_POST['toldo_trasero'];
	$toldo_lateral 		= $_POST['toldo_lateral'];
	$carpa_techo 		= $_POST['carpa_techo'];
	$kit_cocina 		= $_POST['kit_cocina'];
	$anexo_carpa 		= $_POST['anexo_carpa'];
	$anexo_frontal 		= $_POST['anexo_frontal'];
	$calefaccion 		= $_POST['calefaccion'];
	$sistema_electrico 	= $_POST['sistema_electrico'];
	


	$che1 = $_POST['che1'];
	$che2 = $_POST['che2'];
	$che3 = $_POST['che3'];
	$che4 = $_POST['che4'];
	$che5 = $_POST['che5'];
		
	if ($id_vehiculo>0){
		$sql = $mysqli->query("update tb_vehiculos set nombre='$nombre', marca='$marca', modelo='$modelo', ano='$ano', color='$color', carga='$carga', valor_dia='$valor_dia', publicado='$publicado' where id_vehiculo='$id_vehiculo'");	
		
		if ($che1==1){
			$mysqli->query("update tb_vehiculos set foto1='' where id_vehiculo='$id_vehiculo'");
		}
		if ($che2==1){
			$mysqli->query("update tb_vehiculos set foto2='' where id_vehiculo='$id_vehiculo'");
		}
		if ($che3==1){
			$mysqli->query("update tb_vehiculos set foto3='' where id_vehiculo='$id_vehiculo'");
		}
		if ($che4==1){
			$mysqli->query("update tb_vehiculos set foto4='' where id_vehiculo='$id_vehiculo'");
		}
		if ($che5==1){
			$mysqli->query("update tb_vehiculos set foto5='' where id_vehiculo='$id_vehiculo'");
		}
	}else{
		// inserto
		$sql = $mysqli->query("insert into tb_vehiculos (nombre, marca, modelo, ano, color, carga, valor_dia, publicado) values ('$nombre','$marca','$modelo','$ano','$color','$carga','$valor_dia', '$publicado')");
		$id_vehiculo = $mysqli->insert_id;
	}


   if ($id_vehiculo>0){
		
	   $mysqli->query("update tb_vehiculos set capacidad_motor='$capacidad_motor', capacidad_personas='$capacidad_personas', tipo_transmision='$tipo_transmision', tanque_combustible='$tanque_combustible', direccion='$direccion', velocidad_crucero='$velocidad_crucero', sistema_frenado='$sistema_frenado', alto_total='$alto_total', ancho='$ancho', largo='$largo',
	    frenos_traseros='$frenos_traseros', frenos_delanteros='$frenos_delanteros', aire_acondicionado='$aire_acondicionado', climatizador='$climatizador', conector='$conector', sistema_audio='$sistema_audio', pantalla='$pantalla', reproductor='$reproductor', luz_delantera='$luz_delantera', bocinas='$bocinas', amortiguadores='$amortiguadores', neumaticos='$neumaticos', parachoque='$parachoque', volante='$volante', bolsa_aire='$bolsa_aire', cocina='$cocina', lavaplatos='$lavaplatos', cooler='$cooler', toldo_trasero='$toldo_trasero', toldo_lateral='$toldo_lateral', carpa_techo='$carpa_techo', kit_cocina='$kit_cocina', anexo_carpa='$anexo_carpa', anexo_frontal='$anexo_frontal', calefaccion='$calefaccion', sistema_electrico='$sistema_electrico' where id_vehiculo='$id_vehiculo' ");
   }



	$filename1    = $_FILES['foto1']['name'];
	$filesize1    = $_FILES['foto1']['size'];
	$filetmpname1 = $_FILES['foto1']['tmp_name'];

	$filename2    = $_FILES['foto2']['name'];
	$filesize2    = $_FILES['foto2']['size'];
	$filetmpname2 = $_FILES['foto2']['tmp_name'];

	$filename3    = $_FILES['foto3']['name'];
	$filesize3    = $_FILES['foto3']['size'];
	$filetmpname3 = $_FILES['foto3']['tmp_name'];

	$filename4    = $_FILES['foto4']['name'];
	$filesize4    = $_FILES['foto4']['size'];
	$filetmpname4 = $_FILES['foto4']['tmp_name'];

	$filename5    = $_FILES['foto5']['name'];
	$filesize5    = $_FILES['foto5']['size'];
	$filetmpname5 = $_FILES['foto5']['tmp_name'];

	$tiempo = time();
	$parte_tiempo = substr($tiempo,5,3);

	$filename1 = time()."p1_".$parte_tiempo.".jpg";
	$filename2 = time()."p2_".$parte_tiempo.".jpg";
	$filename3 = time()."p3_".$parte_tiempo.".jpg";
	$filename4 = time()."p4_".$parte_tiempo.".jpg";
	$filename5 = time()."p5_".$parte_tiempo.".jpg";

    if ($filesize1>111){		
		if (copy($filetmpname1,"prod/$filename1")){
			$mysqli->query("update tb_vehiculos set foto1='".$filename1."' where  id_vehiculo='$id_vehiculo'");
			$rutaImagenOriginal = "prod/$filename1";
			$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
			$rutaImagenComprimida = "prod/$filename1";
			$calidad = 30; 
			imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
		}		
	}
	if ($filesize2>111){		
		if (copy($filetmpname2,"prod/$filename2")){
			$mysqli->query("update tb_vehiculos set foto2='".$filename2."' where  id_vehiculo='$id_vehiculo'");
			$rutaImagenOriginal = "prod/$filename2";
			$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
			$rutaImagenComprimida = "prod/$filename2";
			$calidad = 30; 
			imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
		}		
	}
	if ($filesize3>111){		
		if (copy($filetmpname3,"prod/$filename3")){
			$mysqli->query("update tb_vehiculos set foto3='".$filename3."' where  id_vehiculo='$id_vehiculo'");
			$rutaImagenOriginal = "prod/$filename3";
			$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
			$rutaImagenComprimida = "prod/$filename3";
			$calidad = 30; 
			imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
		}		
	}
	if ($filesize4>111){		
		if (copy($filetmpname4,"prod/$filename4")){
			$mysqli->query("update tb_vehiculos set foto4='".$filename4."' where  id_vehiculo='$id_vehiculo'");
			$rutaImagenOriginal = "prod/$filename4";
			$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
			$rutaImagenComprimida = "prod/$filename4";
			$calidad = 30; 
			imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
		}		
	}
	if ($filesize5>111){		
		if (copy($filetmpname5,"prod/$filename5")){
			$mysqli->query("update tb_vehiculos set foto5='".$filename5."' where  id_vehiculo='$id_vehiculo'");
			$rutaImagenOriginal = "prod/$filename5";
			$imagenOriginal = imagecreatefromjpeg($rutaImagenOriginal);
			$rutaImagenComprimida = "prod/$filename5";
			$calidad = 30; 
			imagejpeg($imagenOriginal, $rutaImagenComprimida, $calidad);
		}		
	}

	echo "<script>window.location='index.php?p=1';</script>";
}

/////////////////////////////
?>